# l2\_getEnqueuedTxs

Return the enqueued transactions.

### Parameters

* `queueStart`: uint64|QUANTITY - the start index of required enqueued transaction.
* `queueNum`: uint64|QUANTITY - the number of required enqueued transaction.

### Returns

Array - Array of object with the following fields:

* `queueIndex`: QUANTITY - the index of transaction queue
* `from`: Address - transaction sender
* `to`: Address - the `to` address of transaction
* `timestamp`: QUANTITY - the timestamp of this enqueued tx
* `rlpTx`: byte array - the RLP encoded transaction

### Example

Request

```
{
    "jsonrpc": "2.0",
    "method": "l2_getEnqueuedTxs",
    "id": 0,
    "params": [
        "0x21",
        "0x2"
    ]
}
```

Result

```
{
    "jsonrpc": "2.0",
    "id": 0,
    "result": [
        {
            "queueIndex": "0x21",
            "from": "0xc86cb1fdd29765dc1f2fe8029f7b36a823fa50e8",
            "to": "0xc86cb1fdd29765dc1f2fe8029f7b36a823fa50e8",
            "rlpTx": "0xf86e888000000000000020843b9aca00830dbba094c86cb1fdd29765dc1f2fe8029f7b36a823fa50e8808082aa3ca020b76c64c8edd382d748be8c4c8426d84c7d2f33c3dd06154f5c3bb75072cbeea01b535cf5a72ced1d3c8907d2479fd12efd6ebc8c13f4a793afd841411215a61a",
            "timestamp": "0x62e0daa9"
        },
        {
            "queueIndex": "0x22",
            "from": "0xc86cb1fdd29765dc1f2fe8029f7b36a823fa50e8",
            "to": "0xc86cb1fdd29765dc1f2fe8029f7b36a823fa50e8",
            "rlpTx": "0xf86e888000000000000021843b9aca00830dbba094c86cb1fdd29765dc1f2fe8029f7b36a823fa50e8808082aa3ca05a20ca7b91ec1490ed755807a5769f8c55860d7f158b30efc292900f181abd81a06c502491d51c07b43a8cd29b088163418867b540082df2df61c8466737be9478",
            "timestamp": "0x62e0daae"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goshen.network/dev-docs/json-rpc-api/l2_getenqueuedtxs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
